@setlocal DisableDelayedExpansion
@echo off

set "SysPath=%SystemRoot%\System32"
if exist "%SystemRoot%\Sysnative\reg.exe" (set "SysPath=%SystemRoot%\Sysnative")
set "Path=%SysPath%;%SystemRoot%;%SysPath%\Wbem;%SysPath%\WindowsPowerShell\v1.0\"
set "_err===== ERROR ===="
set "xOS=x64"
if /i %PROCESSOR_ARCHITECTURE%==x86 (if not defined PROCESSOR_ARCHITEW6432 (
  set "xOS=x86"
  )
)
set "CBS=%SystemRoot%\servicing\Packages"

reg query HKU\S-1-5-19 1>nul 2>nul || goto :E_Admin
for /f "tokens=6 delims=[]. " %%# in ('ver') do if not %%#==9200 goto :E_Win

if /i %xOS%==x64 set "xOS=amd64"

if not exist "%CBS%\Microsoft-Windows-Embedded-SKU-Foundation-Package~*.mum" goto :E_PKG

call :StopService wuauserv 1>nul 2>nul
call :StopService TrustedInstaller 1>nul 2>nul

Dism.exe /Online /NoRestart /Remove-Package /PackageName:Microsoft-Windows-Embedded-SKU-Foundation-Package~31bf3856ad364e35~%xOS%~~6.2.9200.16384
set errcode=%errorlevel%
if %errcode% neq 0 if %errcode% neq 3010 (
goto :E_Inst
)
if %errcode% equ 0 (
echo.
echo Done.
)
if %errcode% equ 3010 (
echo.
echo Done. System restart is required to complete removal.
)
goto :TheEnd

:StopService
wmic service %1 call StopService
sc query %1 | find /i "STOPPED" || net stop %1 /y
sc query %1 | find /i "STOPPED" || sc stop %1
goto :eof

:E_Admin
echo %_err%
echo Run the script as administrator.
goto :TheEnd

:E_Win
echo %_err%
echo This project is for Windows 8 RTM
goto :TheEnd

:E_PKG
echo %_err%
echo Embedded-SKU-Foundation-Package is not installed.
goto :TheEnd

:E_Inst
echo %_err%
echo Uninstalling Package failed.

:TheEnd
echo.
echo Press any key to exit.
pause >nul
goto :eof
